#include <Homie.h> // https://github.com/marvinroger/homie-esp8266

#include "HardwareWitty.h"
//#include "HardwareH801wifi.h"

void setupHandler() {
  for (int i = 0; i < sizeof(devices) / sizeof(*devices); i++) {
    devices[i]->deviceSetup();
  }
}

void loopHandler() {
  for (int i = 0; i < sizeof(devices) / sizeof(*devices); i++) {
    devices[i]->deviceLoop();
  }
}

void setup() {
  Homie.setFirmware("things", "1.0.1");
  for (int i = 0; i < sizeof(devices) / sizeof(*devices); i++) {
    devices[i]->deviceRegister();
  }
  Homie.setSetupFunction(setupHandler);
  Homie.setLoopFunction(loopHandler);
  Homie.setup();
}

void loop() {
  Homie.loop();
}
